#!/usr/bin/ruby


begin
  # do something
rescue
  # handle exception
end

# 메서드 내에서 예외를 처리하려는 경우,
def my_method
  # do something
  rescue
  # handle exception
end


begin
  # ...
rescue => exception # 예외를 지역 변수로 받습니다.
  warn exception.message
  raise # re-raise the current exception
end

begin
  # ...
rescue ArgumentError # 예외를 종류 별로 처리할 수 있습니다.
  # handle ArgumentError
rescue NameError
  # handle NameError
rescue
  # handle any StandardError
end

begin
  # ...
rescue ArgumentError, NameError # 여러 종류의 예외를 묶어서 처리할 수도 있습니다.
  # handle ArgumentError or NameError
end


begin
  # ...
rescue
  # ...
else
  # this runs only when no exception was raised
ensure
  # ...
end



END{
  # https://ruby-doc.org/3.2.2/syntax/exceptions_rdoc.html
}
